eID middleware |

# eIDMW::PTEID_Certificates Class Reference

Container class for all certificates on the card. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Certificates:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_Certificates ()
| Create an PTEID_Certificates store without any link to a card.
virtual PTEIDSDK_API | ~PTEID_Certificates ()
| Destructor.
PTEIDSDK_API unsigned long | countFromCard ()
| The number of certificates on the card.
PTEIDSDK_API unsigned long | countAll ()
| The number of certificates (on the card or not).
PTEIDSDK_API PTEID_Certificate & | getCertFromCard (unsigned long ulIndexCard)
| Get the ulIndex certificate from the card.
PTEIDSDK_API PTEID_Certificate & | getCert (unsigned long ulIndexAll)
| Return the certificate with the number ulIndexAll.
PTEIDSDK_API PTEID_Certificate & | getCert (PTEID_CertifType type)
| Return the certificate by type.
PTEIDSDK_API PTEID_Certificate & | getRoot ()
| Return the root certificate from the card.
PTEIDSDK_API PTEID_Certificate & | getCA ()
| Return the ca certificate from the card.
PTEIDSDK_API PTEID_Certificate & | getSignature ()
| Return the signature certificate from the card.
PTEIDSDK_API PTEID_Certificate & | getAuthentication ()
| Return the authentication certificate from the card.
PTEIDSDK_API PTEID_Certificate & | addCertificate (PTEID_ByteArray &cert)
| Add a new certificate to the store.
## Friends
PTEID_Certificates & | PTEID_SmartCard::getCertificates ()
| For internal use : This method must access protected constructor.

## Detailed Description

Container class for all certificates on the card.

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_Certificates::PTEID_Certificates | ( |  | ) |

Create an PTEID_Certificates store without any link to a card.

This store is not link to any Card, so some methods could not be used. These methods throw PTEID_ExBadUsage exception.

virtual PTEIDSDK_API eIDMW::PTEID_Certificates::~PTEID_Certificates | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Certificates::addCertificate | ( | PTEID_ByteArray & | cert | ) |

Add a new certificate to the store.

PTEIDSDK_API unsigned long eIDMW::PTEID_Certificates::countAll | ( |  | ) |

The number of certificates (on the card or not).

PTEIDSDK_API unsigned long eIDMW::PTEID_Certificates::countFromCard | ( |  | ) |

The number of certificates on the card.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Certificates::getAuthentication | ( |  | ) |

Return the authentication certificate from the card.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Certificates::getCA | ( |  | ) |

Return the ca certificate from the card.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Certificates::getCert | ( | PTEID_CertifType | type | ) |

Return the certificate by type.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Certificates::getCert | ( | unsigned long | ulIndexAll | ) |

Return the certificate with the number ulIndexAll.

ATTENTION ulIndexAll and ulIndexCard are two different index. Index will change if new certificates are added with addCert().

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Certificates::getCertFromCard | ( | unsigned long | ulIndexCard | ) |

Get the ulIndex certificate from the card.

Throw PTEID_ExParamRange exception if the index is out of range.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Certificates::getRoot | ( |  | ) |

Return the root certificate from the card.

PTEIDSDK_API PTEID_Certificate& eIDMW::PTEID_Certificates::getSignature | ( |  | ) |

Return the signature certificate from the card.

## Friends And Related Function Documentation

PTEID_Certificates& PTEID_SmartCard::getCertificates | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h